epp_ContactPostalInfoType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.contact.epp_ContactPostalInfoType class

### org.openrtk.idl.epp0705.contact

# Class epp_ContactPostalInfoType

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.contact.epp_ContactPostalInfoType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactPostalInfoType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that represents the types of postal info used in EPP -- international or local $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/contact/epp_ContactPostalInfoType.java,v 1.1 2003/03/20 22:42:27 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:27 $

See Also:
  `epp_ContactCreateReq`, `epp_ContactInfoRsp`, `epp_ContactUpdateChange`

  ## Field Summary
  `static epp_ContactPostalInfoType` | `INT` Instance of epp_ContactPostalInfoType representing the INT status type.
  `static epp_ContactPostalInfoType` | `LOC` Instance of epp_ContactPostalInfoType representing the LOC status type.
  `static int` | `_INT` Integer value representing the INT postal info type.
  `static int` | `_LOC` Integer value representing the LOC postal info type.

  ## Constructor Summary
  `epp_ContactPostalInfoType(int value)` For internal use only.

  ## Method Summary
  `static epp_ContactPostalInfoType` | `from_int(int value)` Transform an integer into a epp_ContactPostalInfoType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the type of postal info.

## Field Details

### INT

    public static final epp_ContactPostalInfoType INT

> Instance of epp_ContactPostalInfoType representing the INT status type. Used directly with epp_ContactNameAddress.
> See Also:
>   `epp_ContactNameAddress`

### LOC

    public static final epp_ContactPostalInfoType LOC

> Instance of epp_ContactPostalInfoType representing the LOC status type. Used directly with epp_ContactNameAddress.
> See Also:
>   `epp_ContactNameAddress`

### _INT

    public static final int _INT

> Integer value representing the INT postal info type.
> Field Value:
>   1
> See Also:
>   `INT`

### _LOC

    public static final int _LOC

> Integer value representing the LOC postal info type.
> Field Value:
>   0
> See Also:
>   `LOC`

## Constructor Details

### epp_ContactPostalInfoType

    protected epp_ContactPostalInfoType(int value)

> For internal use only. Initializes the internal postal info type array.
> Parameters:
>   `value` - The integer value for the desired postal info type

## Method Details

### from_int

    public static epp_ContactPostalInfoType from_int(int value)

> Transform an integer into a epp_ContactPostalInfoType constant. Given the integer representation of the postal info type, returns one of the postal info type constants.
> Parameters:
>   `value` - The integer value for the desired postal info type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the type of postal info.
> Returns:
>   The integer value of this contact postal info type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS